__gnu_cxx::_Rope_Concat_fn(3)

NAME
__gnu_cxx::_Rope_Concat_fn -

SYNOPSIS

Inherits binary_function< __gnu_cxx::rope< _CharT, _Alloc >, __gnu_cxx::rope< _CharT, _Alloc >, __gnu_cxx::rope< _CharT, _Alloc > >.

Detailed Description

  template<class _CharT, class _Alloc> struct __gnu_cxx::_Rope_Concat_fn< _CharT, _Alloc >

Definition at line 417 of file rope.

  Public Types
typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

  Public Member Functions
rope< _CharT, _Alloc > operator() (const rope< _CharT, _Alloc > &__x, const rope< _CharT, _Alloc > &__y)

Member Typedef Documentation

  typedef _Arg1 first_argument_type [inherited]

the type of the first argument

Definition at line 116 of file stl_function.h.

  typedef _Result result_type [inherited]

type of the return type

Reimplemented in _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 120 of file stl_function.h.

  typedef _Arg2 second_argument_type [inherited]

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.